%define name    ka-run 
%define version 2.0
%define release 17mdk

Summary: 	A program to launch a command on several hosts.
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Networking/Remote access
Source: 	ka-run-2.0-3.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
URL:		http://sourceforge.net/projects/ka-tools/
BuildRequires:	glibc-static-devel, libstdc++5-static-devel
Requires:	openssh-server
Patch0:		configure.patch.bz2

%description
This program allows the user to launch the same command on several hosts.
The connection is made via rsh or ssh as the user wants.

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q -n ka-run-2.0-3
#%patch0
./configure --prefix=$RPM_BUILD_ROOT --with-cxx=g++ --with-cc=gcc

%build
make prefix=$RPM_BUILD_ROOT OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}/../core
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/html
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install Ptools/src/pbash $RPM_BUILD_ROOT%{_bindir}/pbash
install Ptools/src/pcsh $RPM_BUILD_ROOT%{_bindir}/pcsh
install Ptools/src/ptcsh $RPM_BUILD_ROOT%{_bindir}/ptcsh
install -s -m 6755 InukSpread/bin/mput $RPM_BUILD_ROOT%{_bindir}/mput
install -s -m 6755 InukSpread/bin/rshp $RPM_BUILD_ROOT%{_bindir}/rshp
install -s -m 6755 InukSpread/bin/rshp_sync $RPM_BUILD_ROOT%{_bindir}/rshp_sync
install -s -m 755 InukSpread/bin/redir $RPM_BUILD_ROOT%{_bindir}/redir
install Ptools/src/genere_ptools $RPM_BUILD_ROOT%{_bindir}/genere_ptools
install Ptools/src/rm_ptools $RPM_BUILD_ROOT%{_bindir}/rm_ptools
#install Ptools/src/lsnodes.pl $RPM_BUILD_ROOT%{_bindir}/lsnodes.pl
#install Ptools/src/ptools_core $RPM_BUILD_ROOT%{_bindir}/../core/ptools_core
install InukSpread/doc/html/rshp.html $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/html/rshp.html
install InukSpread/doc/html/mput.html $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/html/mput.html
install Ptools/html/ptools.html $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/html/ptools.html
install InukSpread/doc/man/man1/rshp.1  $RPM_BUILD_ROOT%{_mandir}/man1/rshp.1
install Ptools/man/man1/ptools.1  $RPM_BUILD_ROOT%{_mandir}/man1/ptools.1
install InukSpread/doc/man/man1/mput.1 $RPM_BUILD_ROOT%{_mandir}/man1/mput.1
install Ptools/man/man1/genere_ptools.1 $RPM_BUILD_ROOT%{_mandir}/man1/genere_ptools.1
install Ptools/man/man1/rm_ptools.1 $RPM_BUILD_ROOT%{_mandir}/man1/rm_ptools.1

perl -pi -e "s|$RPM_BUILD_ROOT|/usr|g" $RPM_BUILD_ROOT%{_bindir}/genere_ptools

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/rshp
%attr(755,root,root) %{_bindir}/rshp_sync
%attr(755,root,root) %{_bindir}/mput
%attr(755,root,root) %{_bindir}/redir
%attr(755,root,root) %{_bindir}/genere_ptools
%attr(755,root,root) %{_bindir}/rm_ptools
%attr(755,root,root) %{_bindir}/pbash
%attr(755,root,root) %{_bindir}/ptcsh 
%attr(755,root,root) %{_bindir}/pcsh 
#%attr(755,root,root) %{_bindir}/lsnodes.pl
#%attr(644,root,root)  %{_bindir}/../core/ptools_core

%doc  %{_defaultdocdir}/%{name}/*
%{_mandir}/man1/*

%changelog
* Thu Jan 16 2003 Erwan Velu <erwan@mandrakesoft.com> 2.0-17mdk
- Glibc rebuild
- Fixing missing documentation
* Tue Oct 08 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.0-16mdk
- Fixing buildrequires

* Wed Sep 11 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-15mdk
- Re-enabling O3 option
- Adding new version of mput (Thx to wilfrid)

* Wed Sep 11 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-14mdk
- Fixing compiling options (removing -O3)

* Mon Sep 10 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-13mdk
- Cleaning c++ code

* Mon Sep 09 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-12mdk
- New version of mput (accepting multiple cp for a session)

* Fri Sep 07 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-11mdk
- Removing bashrc entries (Thx to Fred)
- Setting SPREAD_REDIR to /usr/bin
- Fixing perl regexp
* Fri Sep 07 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-10mdk
- Removing debugging mode

* Fri Sep 07 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-9mdk
- Adding missing environment variable in /etc/bashrc
- Removing old patches

* Fri Sep 06 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-8mdk
- Moving to 2.0-3
- Changing tree

* Mon Aug 26 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-7mdk
- Removing setuid and getuid bits to avoid security flaws

* Wed Aug 21 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.0-6mdk
- bziped source
- merged the 3 patches in one
- use %%make
- compile with gcc 3.2 and optimization
- use ssh by default instead of rsh and depends on openssh-server btw instead of rsh-server
- removed lsnodes.pl, genere_ptool and ptools_core

* Wed Aug 21 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-5mdk
- Back to gcc 2.96
* Wed Aug 21 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-4mdk
- Rebuild
* Mon Aug 12 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.0-3mdk
- build gcc 3.2
* Mon Jul 15 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-2mdk
- Fixing genere_ptool script
* Wed Jul 3 2002 Erwan Velu <erwan@mandrakesoft.com> 2.0-1mdk
- Mandrake Linux build
- Changing prefix to buildroot
* Tue Jul 2 2002 Wilfrid Billot <wilfrid.billot@imag.fr> 2.0-1
- Bugs fixed to compile with gcc3.0
